import { Defer } from 'thingies/lib/Defer';
import type { TokenNode } from './types';
export declare class CodeColors {
    protected id: number;
    protected readonly worker: Worker;
    protected readonly workerReady: Promise<void>;
    protected readonly calls: Map<number, Defer<unknown>>;
    constructor(workerUrl: string);
    readonly tokenize: (code: string, lang?: string) => Promise<TokenNode>;
}
