"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasLang = exports.loadLang = void 0;
const prism = require("prismjs");
const util_1 = require("./util");
const COMPONENTS_BASE_PATH = 'https://cdn.jsdelivr.net/npm/prismjs@1.29.0/components/';
const loadLang = async (lang) => {
    const src = COMPONENTS_BASE_PATH + 'prism-' + lang + '.min.js';
    await (0, util_1.loadScript)(src);
};
exports.loadLang = loadLang;
const hasLang = (lang) => {
    return !!prism.languages[lang];
};
exports.hasLang = hasLang;
//# sourceMappingURL=prismutils.js.map